Skip to main content
PATCH
Update plan template

Path Parameters

organisationId
string
required
planTemplateId
string
required

Body

application/json
name
string
Maximum string length: 500
description
string
price
number
Required range: x >= 0
discountRate
number
Required range: 0 <= x <= 1
discountAmount
number
Required range: x >= 0
currency
string
Required string length: 3
billingType
enum<string>
Available options:
one_off,
recurring
items
object[]

Response

200 - application/json
discountRate
number
required

The discount rate applied to the plan, as a fraction between 0 and 1.

Example:

0.1

discountAmount
number
required

The discount amount applied to the plan, in cents.

Example:

10000

billingType
enum<string>
required

Whether the plan is intended to be billed as a one-off or on a recurring basis.

Available options:
one_off,
recurring
Example:

"recurring"

popularityRank
number
required

Based on the number of subscriptions created from this plan template. Used for ranking plans by popularity.

id
string
required
createdAt
string
required
name
string
required
price
number
required
currency
string
required
deleted
boolean
required
items
object[]
required
description
string